com.holonplatform.vaadin.data

## Interface DatastoreDataProvider.Builder

- Enclosing interface:
    DatastoreDataProvider

      public static interface DatastoreDataProvider.Builder

  Builder to create `DatastoreDataProvider` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatastoreDataProvider` | `build()` Build the `DatastoreDataProvider` instance.
    `DatastoreDataProvider.Builder` | `datastore(com.holonplatform.core.datastore.Datastore datastore)` Set the `Datastore` to use to perform query operations.
    `DatastoreDataProvider.Builder` | `itemIdentifier(com.holonplatform.core.property.Property<?> identifierProperty)` Use given `identifierProperty` value as item identifier.
    `DatastoreDataProvider.Builder` | `itemIdentifierProvider(ItemIdentifierProvider<com.holonplatform.core.property.PropertyBox,?> itemIdentifierProvider)` Set the `ItemIdentifierProvider` to use to obtain the item identifiers.
    `DatastoreDataProvider.Builder` | `target(com.holonplatform.core.datastore.DataTarget<?> target)` Set the `DataTarget` to use.
    `<P extends com.holonplatform.core.property.Property> DatastoreDataProvider.Builder` | `withProperties(Iterable<P> properties)` Add properties to include in `PropertyBox` selection items.
    `default DatastoreDataProvider.Builder` | `withProperties(com.holonplatform.core.property.Property... properties)` Add properties to include in `PropertyBox` selection items.
    `DatastoreDataProvider.Builder` | `withQueryConfigurationProvider(com.holonplatform.core.query.QueryConfigurationProvider queryConfigurationProvider)` Add a `QueryConfigurationProvider` to provide additional query configuration parameters.

- - ### Method Detail

    - #### datastore

          DatastoreDataProvider.Builder datastore(com.holonplatform.core.datastore.Datastore datastore)

      Set the `Datastore` to use to perform query operations.
      Parameters:
        `datastore` - the Datastore to set (not null)
      Returns:
        this

    - #### target

          DatastoreDataProvider.Builder target(com.holonplatform.core.datastore.DataTarget<?> target)

      Set the `DataTarget` to use.
      Parameters:
        `target` - the data target to set (not null)
      Returns:
        this

    - #### itemIdentifier

          DatastoreDataProvider.Builder itemIdentifier(com.holonplatform.core.property.Property<?> identifierProperty)

      Use given `identifierProperty` value as item identifier.
      Parameters:
        `identifierProperty` - The property which acts as item identifier (not null)
      Returns:
        this

    - #### itemIdentifierProvider

          DatastoreDataProvider.Builder itemIdentifierProvider(ItemIdentifierProvider<com.holonplatform.core.property.PropertyBox,?> itemIdentifierProvider)

      Set the `ItemIdentifierProvider` to use to obtain the item identifiers.
      Parameters:
        `itemIdentifierProvider` - the provider to set
      Returns:
        this

    - #### withProperties

          <P extends com.holonplatform.core.property.Property> DatastoreDataProvider.Builder withProperties(Iterable<P> properties)

      Add properties to include in `PropertyBox` selection items.
      Type Parameters:
        `P` - Property type
      Parameters:
        `properties` - Properties to add (not null)
      Returns:
        this

    - #### withProperties

          default DatastoreDataProvider.Builder withProperties(com.holonplatform.core.property.Property... properties)

      Add properties to include in `PropertyBox` selection items.
      Parameters:
        `properties` - Properties to add (not null)
      Returns:
        this

    - #### withQueryConfigurationProvider

          DatastoreDataProvider.Builder withQueryConfigurationProvider(com.holonplatform.core.query.QueryConfigurationProvider queryConfigurationProvider)

      Add a `QueryConfigurationProvider` to provide additional query configuration parameters.
      Parameters:
        `queryConfigurationProvider` - the QueryConfigurationProvider to add (not null)
      Returns:
        this

    - #### build

          DatastoreDataProvider build()

      Build the `DatastoreDataProvider` instance.
      Returns:
        A new `DatastoreDataProvider` instance

Copyright © 2019 The Holon Platform. All rights reserved.